[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGIFImage.IsStreamFormatSupported

Determines if the specified Stream contains a valid GIF image format.

## Declaration

Source position: graphics.pp line 1909

`public class function TGIFImage.IsStreamFormatSupported(`
`Stream: TStream`
`):Boolean; override;`

## Arguments

`Stream` |  | TStream instance with values examined in the method.

## Function result

True when the stream contains the GIF87a or GIF89a signature.